Saxon API for .NET |

# XPathSelector.EvaluateSingle Method

Evaluate the XPath expression, returning the result as an `XdmItem` (that is, a single node or atomic value).

public XdmItem EvaluateSingle();

#### Return Value

An `XdmItem` representing the result of the expression, or null if the expression returns an empty sequence. If the expression returns a sequence of more than one item, any items after the first are ignored.

#### See Also

XPathSelector Class | Saxon.Api Namespace